"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const utils_1 = require("../../utils");
const ForkMe_1 = require("../ForkMe");
const styles = require("../../style.scss");
const App = ({ Description, Dendrogram, Menu, npmUrl, currentKey, library }) => {
    return (React.createElement(React.Fragment, null,
        React.createElement(ForkMe_1.ForkMe, { url: library.repository, className: styles.nrscForkMe }),
        React.createElement("nav", { className: utils_1.getClassNames("navbar navbar-dark fixed-top bg-dark flex-md-nowrap p-0 shadow nrsc-top-nav") },
            React.createElement("a", { className: utils_1.getClassNames("navbar-brand col-sm-3 col-md-2 mr-0"), href: npmUrl, target: "_blank", rel: "noopener" },
                library.name,
                " v",
                library.version)),
        React.createElement("div", { className: utils_1.getClassNames("container-fluid nrsc-container") },
            React.createElement("div", { className: utils_1.getClassNames("row nrsc-wrapper") },
                React.createElement("nav", { className: utils_1.getClassNames("col-md-2 d-none d-md-block bg-light sidebar nrsc-side-nav") },
                    React.createElement("div", { className: utils_1.getClassNames("sidebar-sticky") }, Menu)),
                React.createElement("main", { className: utils_1.getClassNames("col-md-9 ml-sm-auto col-lg-10 px-4 nrsc-main") },
                    React.createElement("div", { className: utils_1.getClassNames("d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom") },
                        React.createElement("h1", { className: styles.h2 }, currentKey)),
                    Dendrogram)),
            React.createElement("div", { className: utils_1.getClassNames("col-md-9 ml-sm-auto col-lg-10 px-4 fixed-bottom nrsc-bottom") }, Description))));
};
exports.Component = App;
//# sourceMappingURL=App.js.map