"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const utils_1 = require("../../utils");
const DefinitionItem = ({ tagName, ...props }) => {
    return (React.createElement(React.Fragment, null,
        React.createElement("dt", Object.assign({}, props.dt)),
        React.createElement("dd", Object.assign({}, props.dd))));
};
const DefinitionList = ({ tagName, ...props }) => {
    return (React.createElement(React.Fragment, null,
        React.createElement(DefinitionItem, Object.assign({}, props.definition)),
        props.children.length > 0 && (React.createElement("dl", { className: utils_1.getClassNames("nav nav-pills flex-column") }, props.children.map((prop, level) => createChild({ ...prop, level }))))));
};
const createChild = ({ level, ...prop }) => {
    return prop.tagName === "definition" ? (React.createElement(DefinitionItem, Object.assign({}, prop, { key: `definition-${level}` }))) : (React.createElement(DefinitionList, Object.assign({}, prop, { key: `item-${level}` })));
};
const Definition = (props) => {
    return (React.createElement("dl", Object.assign({ className: utils_1.getClassNames("nav nav-pills flex-column") }, props.dl), props.children.map((prop, level) => createChild({ ...prop, level }))));
};
exports.Component = Definition;
//# sourceMappingURL=Definiton.js.map