"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const d3 = require("d3");
const parser_1 = require("./parser");
const generateTreeData = (name, pkg) => {
    const treeData = {
        name,
        description: pkg.scripts[name] || "",
        children: [],
    };
    return parser_1.makeChain(treeData, pkg);
};
exports.generateState = (currentKey, pkg, library) => {
    const treeData = generateTreeData(currentKey, pkg);
    const data = d3.hierarchy(treeData);
    const root = d3.tree()(data);
    const nodes = root.descendants();
    const links = root.links();
    return {
        library,
        npmUrl: "https://www.npmjs.com/package/npm-run-script-chain",
        nodes,
        links,
        currentKey,
        pkg,
        scripts: Object.keys(pkg.scripts),
        treeData,
    };
};
//# sourceMappingURL=Factory.js.map